org.apache.commons.math3.ode

## Class ParameterizedWrapper

- java.lang.Object
- - org.apache.commons.math3.ode.ParameterizedWrapper

- All Implemented Interfaces:
    Parameterizable, ParameterizedODE

       class ParameterizedWrapper
      extends Object
      implements ParameterizedODE

  Wrapper class enabling `basic simple` ODE instances to be used when processing `JacobianMatrices`.
  Since:
    3.0
  Version:
    $Id: ParameterizedWrapper.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private FirstOrderDifferentialEquations` | `fode` Basic FODE without parameter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterizedWrapper(FirstOrderDifferentialEquations ode)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeDerivatives(double t, double[] y, double[] yDot)` Get the current time derivative of the state vector of the underlying FODE.
    `int` | `getDimension()` Get the dimension of the underlying FODE.
    `double` | `getParameter(String name)` Get parameter value from its name.
    `Collection<String>` | `getParametersNames()` Get the names of the supported parameters.
    `boolean` | `isSupported(String name)` Check if a parameter is supported.
    `void` | `setParameter(String name, double value)` Set the value for a given parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fode

          private final FirstOrderDifferentialEquations fode

      Basic FODE without parameter.

  - ### Constructor Detail

    - #### ParameterizedWrapper

          public ParameterizedWrapper(FirstOrderDifferentialEquations ode)

      Simple constructor.
      Parameters:
        `ode` - original first order differential equations

  - ### Method Detail

    - #### getDimension

          public int getDimension()

      Get the dimension of the underlying FODE.
      Returns:
        dimension of the underlying FODE

    - #### computeDerivatives

          public void computeDerivatives(double t,
                                double[] y,
                                double[] yDot)
                                  throws MaxCountExceededException,
                                         DimensionMismatchException

      Get the current time derivative of the state vector of the underlying FODE.
      Parameters:
        `t` - current value of the independent time variable
        `y` - array containing the current value of the state vector
        `yDot` - placeholder array where to put the time derivative of the state vector
      Throws:
        `MaxCountExceededException` - if the number of functions evaluations is exceeded
        `DimensionMismatchException` - if arrays dimensions do not match equations settings

    - #### getParametersNames

          public Collection<String> getParametersNames()

      Get the names of the supported parameters.
      Specified by:
        `getParametersNames` in interface `Parameterizable`
      Returns:
        parameters names
      See Also:
        `Parameterizable.isSupported(String)`

    - #### isSupported

          public boolean isSupported(String name)

      Check if a parameter is supported.

      Supported parameters are those listed by `Parameterizable.getParametersNames()`.

      Specified by:
        `isSupported` in interface `Parameterizable`
      Parameters:
        `name` - parameter name to check
      Returns:
        true if the parameter is supported
      See Also:
        `Parameterizable.getParametersNames()`

    - #### getParameter

          public double getParameter(String name)
                              throws UnknownParameterException

      Get parameter value from its name.
      Specified by:
        `getParameter` in interface `ParameterizedODE`
      Parameters:
        `name` - parameter name
      Returns:
        parameter value
      Throws:
        `UnknownParameterException` - if parameter is not supported

    - #### setParameter

          public void setParameter(String name,
                          double value)

      Set the value for a given parameter.
      Specified by:
        `setParameter` in interface `ParameterizedODE`
      Parameters:
        `name` - parameter name
        `value` - parameter value

Copyright (c) 2003-2013 Apache Software Foundation